%global apiversion 0.0

Summary: A library for import of binary StarOffice documents
Name: libstaroffice
Version: 0.0.7
Release: 5%{?dist}
License: LGPL-2.1-or-later OR MPL-2.0
URL: https://github.com/fosnola/libstaroffice/wiki
Source: https://github.com/fosnola/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: make gcc-c++
BuildRequires: doxygen help2man
BuildRequires: pkgconfig(librevenge-0.0) pkgconfig(librevenge-stream-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0) pkgconfig(zlib)

%description
This package provides a library for import of binary StarOffice documents.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications that use %{name}.

%package tools
Summary: Tools to transform StarOffice documents into other formats
Requires: %{name} = %{version}-%{release}

%description tools
This package provides tools to transform StarOffice documents into other formats. Currently
supported: CSV, HTML, plain text, SVG, raw.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-silent-rules --enable-zip
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_docdir}/%{name}

# man pages
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in sd2raw sd2svg sd2text sdc2csv sdw2html; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 sd2*.1 sd?2*.1 %{buildroot}/%{_mandir}/man1

%files
%license COPYING.LGPL COPYING.MPL
%doc CREDITS NEWS README
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%doc ChangeLog docs/doxygen/html
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/sdw2html
%{_bindir}/sd2raw
%{_bindir}/sd2svg
%{_bindir}/sd2text
%{_bindir}/sdc2csv
%{_mandir}/man1/sdw2html.1*
%{_mandir}/man1/sd2raw.1*
%{_mandir}/man1/sd2svg.1*
%{_mandir}/man1/sd2text.1*
%{_mandir}/man1/sdc2csv.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.7-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 kianli@tencent.com - 0.0.7-4
- Rebuilt for librevenge 0.0.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Wang Guodong <gordonwwang@tencent.com> - 0.0.7-1
- package init.
